[@rxap/components](../wiki/globals) / NavigateBackButtonComponent

# Class: NavigateBackButtonComponent

Defined in: [navigate-back-button/navigate-back-button.component.ts:17](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/components/src/lib/navigate-back-button/navigate-back-button.component.ts#L17)

## Constructors

### new NavigateBackButtonComponent()

> **new NavigateBackButtonComponent**(): [`NavigateBackButtonComponent`](../wiki/Class.NavigateBackButtonComponent)

#### Returns

[`NavigateBackButtonComponent`](../wiki/Class.NavigateBackButtonComponent)

## Methods

### navigateBack()

> **navigateBack**(): `void`

Defined in: [navigate-back-button/navigate-back-button.component.ts:19](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/components/src/lib/navigate-back-button/navigate-back-button.component.ts#L19)

#### Returns

`void`
